
package clustering;

import java.util.List;
import org.apache.commons.collections15.Transformer;

public class ListSeedTransformer<V> implements Transformer<V,Integer>{

    private List<V> seed_list;

    public ListSeedTransformer(List<V> vertexSeed) {
        this.seed_list = vertexSeed;
    }


    public Integer transform(V i) {
        if(seed_list.contains(i))
            return 1;
        else
            return 0;
    }

}